import { jsx } from "react/jsx-runtime";
import { TokenDYP as TokenDYP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDYP = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DYP", "data-name": "TokenDYP", ...props, children: /* @__PURE__ */ jsx(TokenDYP$1, { variant }) });
  }
);
TokenDYP.displayName = "TokenDYP";
Object.assign(TokenDYP, { isGdsIcon: true });
export {
  TokenDYP
};
